Dissociate User

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/user
API call form
Examples

Dissociating is similar for all resources. To break the link between two resources, simply provide the resource names and ids. Be careful that the 'role' of a resource is uppercase and usually plural. Dissociating can be done in both directions.

Request parametersResponse schema
id UUID

The unique identifier of the entity

name STRING

The full name of the user.

username STRING

The username that was specified when requesting an Authorization token.

email EMAIL

E-mail address of the user.

city STRING

Residence city of the user.

theme STRING

The theme of the user interface.

flags ARRAY[STRING]

Feature flags enabled for the user.

value STRING
role STRING

Role of the user within Luzmo. Either 'viewer', 'member', 'admin' or 'owner'. Defaults to 'member' if not specified. If a suborganization is specified, an 'owner' and 'admin' roles are not allowed! Viewer role can view dashboards. Editor role (i.e. 'member') can create and adapt dashboards and share these to other users. Admin role can view, edit, share and delete all organization and sub-organization securables. Owner role can add members and set their role, view and adapt plan and billing information, view and adapt the legal & compliance information, create Integrations, create and save organization themes, create and adapt dashboards and share these to other users.

suborganization STRING

The name of the suborganization you want this user to join (this ensures that users from a suborganization cannot see members of your organization or other suborganizations). If no suborganization is not defined, the user will be added to your organization in case you've used an API token and you're the owner of the organization.

country_id STRING

The country ID of the user (for example, 'BE' or 'FR').

locale_id STRING

The default language in which the dashboards are displayed. It can be changed from the dashboard view.

Default value:en
timezone_id STRING

The timezone of the user (for example: Europe/Brussels or America/New_York).

feature_overrides ARRAY[STRING]

Enable/disable certain features.

value STRING
account_overrides OBJECT

Used to dynamically override one or more data connections (to a Plugin or database, see differences below). You can use this to dynamically route data requests (e.g. to a single-tenant database , schema, tables, etc.). All overrides are optional -- if not specified, the value as configured on the original Connection will be used instead.

Please check the Create Authorization examples to see which Connection overrides your data source connection requires.

< plugin_connection_id > OBJECT
< database_connection_id > OBJECT
flag_plan STRING

The plan flag active for the user.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be associated to:
Securables
Groups
Collections
Shareables
Organizations
Integrations
Locale
Country
Thumbnails
Account
Alert
Authorization
Plugin
Schedule
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "code": 200
}